Package org.jcsp.util.filter

# Class FilteredChannelEndFactory

java.lang.Object
org.jcsp.util.filter.FilteredChannelEndFactory

public class FilteredChannelEndFactory extends Object

Factory for creating filtered channel ends around existing channel ends.

An instance of this class can be created and used, or alternatively the static factory `FilteredChannelEnd` may be more convenient.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`FilteredChannelEndFactory()`
Constructs a new `FilteredChannelEndFactory`.

## Method Summary

Modifier and Type
Method
Description
`FilteredAltingChannelInput`
`createFiltered(AltingChannelInput in)`
Creates a new filtered channel input end around an existing channel end.
`FilteredChannelInput`
`createFiltered(ChannelInput in)`
Creates a new filtered channel input end around an existing channel end.
`FilteredChannelOutput`
`createFiltered(ChannelOutput out)`
Creates a new filtered channel output end around an existing channel end.
`FilteredSharedChannelInput`
`createFiltered(SharedChannelInput in)`
Creates a new filtered channel input end around an existing channel end.
`FilteredSharedChannelOutput`
`createFiltered(SharedChannelOutput out)`
Creates a new filtered channel output end around an existing channel end.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilteredChannelEndFactory

public FilteredChannelEndFactory()
Constructs a new `FilteredChannelEndFactory`.

## Method Details

### createFiltered

public FilteredAltingChannelInput createFiltered(AltingChannelInput in)
Creates a new filtered channel input end around an existing channel end. The created channel end can be used as a guard in an `Alternative`.

Parameters:
  `in` - the existing channel end.
Returns:
  the created channel end.

### createFiltered

public FilteredChannelInput createFiltered(ChannelInput in)
Creates a new filtered channel input end around an existing channel end.

Parameters:
  `in` - the existing channel end.
Returns:
  the created channel end.

### createFiltered

public FilteredSharedChannelInput createFiltered(SharedChannelInput in)
Creates a new filtered channel input end around an existing channel end. The created channel end can be shared by multiple processes.

Parameters:
  `in` - the existing channel end.
Returns:
  the created channel end.

### createFiltered

public FilteredChannelOutput createFiltered(ChannelOutput out)
Creates a new filtered channel output end around an existing channel end.

Parameters:
  `out` - the existing channel end.
Returns:
  the created channel end.

### createFiltered

public FilteredSharedChannelOutput createFiltered(SharedChannelOutput out)
Creates a new filtered channel output end around an existing channel end. The created channel end can be shared by multiple processes.

Parameters:
  `out` - the existing channel end.
Returns:
  the created channel end.